/************************************************************************************
*                                                                                   *
*   File Name   : globals.h                                                         *
*   Contents    : Global Variables for Match Display                                *
*   Version     : 1.4                                                               *
*************************************************************************************/ 

//global defines
#define D_undefState 0
#define D_revDisplayState 1
#define D_gameDisplayState 2
#define D_matchDisplayState 3
#define D_chargeState 4
#define D_chargeFullState 5
#define D_battEmptyState 6

#define D_SHOW_REV_TIME_MS 3000
#define D_BATT_EMPTY_VOLTAGE_MV 10500
#define D_BATT_FULL_VOLTAGE_MV 13500
#define D_CHARGER_CONNECTED_VOLTAGE_MV 9000
#define D_CONV_AD_TO_MV 20 //in real 20000/1024=19.53
#define D_TRUE  1
#define D_FALSE 0

//global variables
extern unsigned long UL_DISP_CODE;
extern unsigned int  UI_TIRQ_count1ms;
extern unsigned int  UI_int0_IRQ_timestamp;
extern unsigned int  UI_int1_IRQ_timestamp;
extern unsigned int  UI_STATE;
extern unsigned int  UI_CHARGE_STATE_PERCENT;
extern _Bool         B_SWITCH_PLAYER1;
extern _Bool         B_SWITCH_PLAYER2;
extern unsigned int  UI_BATTERY_VOLTAGE_MV;
extern unsigned int  UI_CHARGER_VOLTAGE_MV;

//global support functions
unsigned int timerDifference (unsigned int OLD, unsigned int NEW);
unsigned int positiveDifference (unsigned int A, unsigned int B);
